<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <title>task-manager-client: TaskEndpoint</title>

    <!-- Mobile viewport optimized: j.mp/bplateviewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!--custom css for these pages-->
    <link rel="stylesheet" href="css/enunciate.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target="#apinav">

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="index.html">task-manager-client: TaskEndpoint</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a href="services.html">Services</a></li>
                <li><a href="data.html">Data Types</a></li>
                <li><a href="downloads.html">Files and Libraries</a></li>
            </ul>
        </div>
    </div>
</nav>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-3 col-md-2 sidebar" id="apinav">
            <ul class="nav nav-sidebar">
                <li><a href="#service_ns0_TaskEndpointService_method_removeTaskByName"><abbr title="removeTaskByName"
                                                                                             class="side-abbr"><span
                        class="sideoverflow">removeTaskByName</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_findTaskByName"><abbr title="findTaskByName"
                                                                                           class="side-abbr"><span
                        class="sideoverflow">findTaskByName</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_createWithThreeParamTask"><abbr
                        title="createWithThreeParamTask" class="side-abbr"><span class="sideoverflow">createWithThreeParamTask</span></abbr></a>
                </li>
                <li><a href="#service_ns0_TaskEndpointService_method_removeTaskByIndex"><abbr title="removeTaskByIndex"
                                                                                              class="side-abbr"><span
                        class="sideoverflow">removeTaskByIndex</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_findAllTask"><abbr title="findAllTask"
                                                                                        class="side-abbr"><span
                        class="sideoverflow">findAllTask</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_removeTaskById"><abbr title="removeTaskById"
                                                                                           class="side-abbr"><span
                        class="sideoverflow">removeTaskById</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_findTaskByIndex"><abbr title="findTaskByIndex"
                                                                                            class="side-abbr"><span
                        class="sideoverflow">findTaskByIndex</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_numberOfAllTasks"><abbr title="numberOfAllTasks"
                                                                                             class="side-abbr"><span
                        class="sideoverflow">numberOfAllTasks</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_updateTaskById"><abbr title="updateTaskById"
                                                                                           class="side-abbr"><span
                        class="sideoverflow">updateTaskById</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_updateTaskByIndex"><abbr title="updateTaskByIndex"
                                                                                              class="side-abbr"><span
                        class="sideoverflow">updateTaskByIndex</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_findTaskById"><abbr title="findTaskById"
                                                                                         class="side-abbr"><span
                        class="sideoverflow">findTaskById</span></abbr></a></li>
                <li><a href="#service_ns0_TaskEndpointService_method_createWithTwoParamTask"><abbr
                        title="createWithTwoParamTask" class="side-abbr"><span class="sideoverflow">createWithTwoParamTask</span></abbr></a>
                </li>
                <li class="divider"></li>
                <li class="text-right"><a href="#top"><small>Back to Top</small></a></li>
            </ul>
        </div>

        <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
            <ol class="breadcrumb" id="top">
                <li class="active dropdown"><a href="index.html">Home</a></li>
                <li class="dropdown"><a href="service_ns0_TaskEndpointService.html">TaskEndpoint</a></li>
            </ol>

            <h1 class="page-header">TaskEndpoint <small>Service</small></h1>

            <p>This class was generated by Apache CXF 3.2.7
                2021-02-08T14:05:36.459+03:00
                Generated source version: 3.2.7</p>

            <dl class="dl-horizontal">
                <dt>Namespace</dt>
                <dd>http://endpoint.tm.amster.ru/</dd>
                <dt>WSDL</dt>
                <dd><a href="ns0.wsdl">ns0.wsdl</a></dd>
                <dt>Path</dt>
                <dd><a href="../../TaskEndpointService">/TaskEndpointService</a></dd>
            </dl>

            <h2 id="service_ns0_TaskEndpointService_method_removeTaskByName">removeTaskByName <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">name (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_findTaskByName">findTaskByName <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">name (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_createWithThreeParamTask">createWithThreeParamTask <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">name (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">description (arg2)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_removeTaskByIndex">removeTaskByIndex <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">index (arg1)</span></td>
                    <td><span class="datatype-reference">int
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_findAllTask">findAllTask <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>list of <a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_removeTaskById">removeTaskById <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">id (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_findTaskByIndex">findTaskByIndex <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">index (arg1)</span></td>
                    <td><span class="datatype-reference">int
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_numberOfAllTasks">numberOfAllTasks <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>int
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_updateTaskById">updateTaskById <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">id (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">name (arg2)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">description (arg3)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_updateTaskByIndex">updateTaskByIndex <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">index (arg1)</span></td>
                    <td><span class="datatype-reference">int
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">name (arg2)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">description (arg3)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_findTaskById">findTaskById <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">id (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_task.html">task</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_TaskEndpointService_method_createWithTwoParamTask">createWithTwoParamTask <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">name (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <footer class="footer">
                <div class="container">
                    <p class="text-muted">Generated by <a href="http://enunciate.webcohesion.com">Enunciate</a>.</p>
                </div>
            </footer>

        </div>
    </div>
</div>


<!-- JavaScript placed at the end of the document so the pages load faster. -->
<script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

<!-- Bootstrap core JavaScript
================================================== -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

<!-- prettify code blocks. see http://code.google.com/p/google-code-prettify/ -->
<script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"
        type="text/javascript"></script>
<script>
    $(function() {
      $(".clickable-row").click(function() {
        window.document.location = $(this).data("href");
      });

      $('[data-toggle="tooltip"]').tooltip()
    });

</script>

</body>
</html>
